# Module `posix.sys.times`

Process Times.

## Functions

times () | Get the current process times.

## Tables

PosixTms | Process times record.

## Functions

times ()
  Get the current process times.

  ### Returns:

  PosixTms time accounting for this process, if successful

  ### Or

  1. nil
  2. string error message
  3. int errnum

  ### See also:

  times(2)

## Tables

PosixTms
  Process times record. All times are measured in cpu seconds.

  ### Fields:

  - tms_utime int time spent executing user instructions
  - tms_stime int time spent in system execution
  - tms_cutime int sum of *tms_utime* for calling process and its children
  - tms_cstime int sum of *tms_stime* for calling process and its children

generated by LDoc 1.5.0 Last updated 2025-02-16 13:16:41